Bug 24780 - 952$i stocknumber does not display in batch item modification
Summary: 952$i stocknumber does not display in batch item modification
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-02 23:53 UTC by Donna
Modified: 2020-10-29 17:00 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.11, 19.05.17


Attachments
Bug 24780: Make items.stocknumber show up in batch item modification (1.91 KB, patch)
2020-09-24 21:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24780: Make items.stocknumber show up in batch item modification (1.97 KB, patch)
2020-09-24 22:06 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24780: Make items.stocknumber show up in batch item modification (2.04 KB, patch)
2020-09-25 10:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2020-03-02 23:53:46 UTC
When trying to edit items via batch item modification, the subfield i does not display.    

To recreate, add a value to 952$i, then add that barcode to the batch item modification function.  You will see the value display in the item summary across the top of the screen, but the $i does not show in the edit section below.
Comment 1 Katrin Fischer 2020-09-24 21:56:40 UTC
Created attachment 110710 [details] [review]
Bug 24780: Make items.stocknumber show up in batch item modification

It looks like the field was intentionally removed from the list
of batch editable fields in the past. This makes sense as we
used to have a unique index on it at some point - but we do have
no more.

This removes the exception so that the invendory number behaves
like the other fields on the batch item edit form.

To test:
- Create some items with and without stocknumber
- Go to tools > batch item modification
- Enter the barcodes of your selected items in the list or
  upload a file with them
- Verify that the stocknumber/inventory number is not showing
  in the item edit form below
- Apply patch
- Reload the page - inventory number is there now
- Batch edit the inventory number and verify it works as expected
Comment 2 Andrew Fuerste-Henry 2020-09-24 22:06:27 UTC
Created attachment 110711 [details] [review]
Bug 24780: Make items.stocknumber show up in batch item modification

It looks like the field was intentionally removed from the list
of batch editable fields in the past. This makes sense as we
used to have a unique index on it at some point - but we do have
no more.

This removes the exception so that the invendory number behaves
like the other fields on the batch item edit form.

To test:
- Create some items with and without stocknumber
- Go to tools > batch item modification
- Enter the barcodes of your selected items in the list or
  upload a file with them
- Verify that the stocknumber/inventory number is not showing
  in the item edit form below
- Apply patch
- Reload the page - inventory number is there now
- Batch edit the inventory number and verify it works as expected

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Martin Renvoize 2020-09-25 10:12:36 UTC
Created attachment 110740 [details] [review]
Bug 24780: Make items.stocknumber show up in batch item modification

It looks like the field was intentionally removed from the list
of batch editable fields in the past. This makes sense as we
used to have a unique index on it at some point - but we do have
no more.

This removes the exception so that the invendory number behaves
like the other fields on the batch item edit form.

To test:
- Create some items with and without stocknumber
- Go to tools > batch item modification
- Enter the barcodes of your selected items in the list or
  upload a file with them
- Verify that the stocknumber/inventory number is not showing
  in the item edit form below
- Apply patch
- Reload the page - inventory number is there now
- Batch edit the inventory number and verify it works as expected

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-09-25 10:13:06 UTC
Trivial fix that makes sense, no regressions found. Passing QA
Comment 5 Jonathan Druart 2020-09-28 14:11:29 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 14:17:04 UTC
backported to 20.05.x for 20.05.05
Comment 7 Aleisha Amohia 2020-10-27 04:04:33 UTC
backported to 19.11.x for 19.11.11
Comment 8 Victor Grousset/tuxayo 2020-10-29 17:00:23 UTC
Backported to 19.05.x branch for 19.05.17